Request a Gate VI
curl --request POST \
--url https://api.example.com/tenant/{tenant_name}/dia \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"system_name": "<string>",
"name": "<string>",
"ipsec_service": true,
"nat_service": true,
"snat_service": true,
"shared": true,
"ipv4_prefix_length": 123,
"ipv6_prefix_length": 123,
"ip_addresses": [
"<string>"
],
"bgp_asn": 123,
"vrf_name": "<string>",
"bfd_config": {
"transmit_interval": 0,
"receive_interval": 0,
"detect_multiplier": 0,
"passive_mode": false
}
}
'import requests
url = "https://api.example.com/tenant/{tenant_name}/dia"
payload = {
"system_name": "<string>",
"name": "<string>",
"ipsec_service": True,
"nat_service": True,
"snat_service": True,
"shared": True,
"ipv4_prefix_length": 123,
"ipv6_prefix_length": 123,
"ip_addresses": ["<string>"],
"bgp_asn": 123,
"vrf_name": "<string>",
"bfd_config": {
"transmit_interval": 0,
"receive_interval": 0,
"detect_multiplier": 0,
"passive_mode": False
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
system_name: '<string>',
name: '<string>',
ipsec_service: true,
nat_service: true,
snat_service: true,
shared: true,
ipv4_prefix_length: 123,
ipv6_prefix_length: 123,
ip_addresses: ['<string>'],
bgp_asn: 123,
vrf_name: '<string>',
bfd_config: {
transmit_interval: 0,
receive_interval: 0,
detect_multiplier: 0,
passive_mode: false
}
})
};
fetch('https://api.example.com/tenant/{tenant_name}/dia', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "received",
"extra_details": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}tenant - dia
Request a Gate VI
POST
/
tenant
/
{tenant_name}
/
dia
Request a Gate VI
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Available options:
unspecified, up, down Show child attributes
Show child attributes
⌘I